# Uses of Class
org.eclipse.swt.events.MenuEvent

Packages that use MenuEvent
Package
Description
org.eclipse.swt.events

## Uses of MenuEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type MenuEvent
Modifier and Type
Method
Description
`void`
MenuAdapter.`menuHidden(MenuEvent e)`
Sent when a menu is hidden.
`void`
MenuListener.`menuHidden(MenuEvent e)`
Sent when a menu is hidden.
`void`
MenuAdapter.`menuShown(MenuEvent e)`
Sent when a menu is shown.
`void`
MenuListener.`menuShown(MenuEvent e)`
Sent when a menu is shown.
Method parameters in org.eclipse.swt.events with type arguments of type MenuEvent
Modifier and Type
Method
Description
`static MenuListener`
MenuListener.`menuHiddenAdapter(Consumer<MenuEvent> c)`
Static helper method to create a `MenuListener` for the `MenuListener.menuHidden(MenuEvent e)`) method, given a lambda expression or a method reference.
`static MenuListener`
MenuListener.`menuShownAdapter(Consumer<MenuEvent> c)`
Static helper method to create a `MenuListener` for the `MenuListener.menuShown(MenuEvent e)`) method, given a lambda expression or a method reference.